# Makefile for srvwizard
# Insert the defs for your machine
# SUN:    CC = CC         CCL = CC         LM = 
# SGI,OSF CC = cc         CCL = cc         LM = -lm
# LINUX   CC = cc         CCL = cc         LM = -lm
# ULT     CC = gcc -c -g  CCL = gcc -g     LM = 
# HP:     CC = cc -Aa     CCL = cc         LM = -lM
# SOL 2.6 CC = CC         CCL = CC         LM = -lsocket -lnsl

CC = cc -Aa -c
CCL = cc
LM = -lM

srvwizard: srvwizard.o dblib.o err_list.o
	${CCL} -o srvwizard srvwizard.o dblib.o err_list.o ${LM}
	chmod a+s srvwizard

srvwizard.o: srvwizard.c project.def prolog.h servdef.h database.h rpcdefs.h rpctypes.h almsrv.h swaplib.h errors.h
	${CC} srvwizard.c

dblib.o: dblib.c project.def prolog.h servdef.h database.h rpcdefs.h rpctypes.h almsrv.h swaplib.h errors.h
	${CC} dblib.c

err_list.o: err_list.c errors.h
	${CC} err_list.c

clean:
	rm *.o
